wangqi large avatar

wangqi

测试学习小组 第 24 号会员, 加入于 2017-06-22 10:12:38 AM
wangqi 最近创建的话题
接口测试的断言问题
python接口自动化   •   6 个月前   •   最后回复来自 一一
1
jmeter压测时samples上不去
jmeter   •   一年前   •   最后回复来自 乙醇
1
python类中方法调用问题
python接口自动化   •   2 年前   •   最后回复来自 虫师
1
单向链表中类中方法的调用问题
python接口自动化   •   2 年前   •   最后回复来自 wangqi
2
flask执行sql语句问题
python接口自动化   •   2 年前   •   最后回复来自 wangqi
2
jmeter事务控制器疑惑
jmeter   •   2 年前   •   最后回复来自 wangqi
2
jwt鉴权问题
python接口自动化   •   2 年前   •   最后回复来自 wangqi
3
接口测试作业问题
python接口自动化   •   2 年前   •   最后回复来自 乙醇
1
smile_test作业的问题
python接口自动化   •   2 年前   •   最后回复来自 乙醇
4
wangqi 最近的回复
2 年前
回复了 wangqi 创建的话题 单向链表中类中方法的调用问题
@虫师 执行的时候就直接在当前文件下 ``` if __name__ == '__main__': wq = SingleLinkedList() wq.addfirst(1) wq.add_last(2) ``` 只有这一个文件,没有别的文件
2 年前
回复了 wangqi 创建的话题 flask执行sql语句问题
噢噢,感谢老师。
2 年前
回复了 wangqi 创建的话题 jmeter事务控制器疑惑
我这个跟执行顺序应该没关系。我是注册完后,就把注册的这个模块禁用了,然后拿这个注册好的账号来登录,不是从注册到登录全部跑下来的。
哦,明白了,我们流程确实很乱。老师你提到写个测试工具解决开发的自验证问题,这个有思路吗,开发自验证都是让他们验证哪些东西可以对质量有很好的提升呢?(我们开发基本不自测,代码能力强的测试起来还行,能力不强的测起来简直千疮百孔)。多谢老师解答!!
2 年前
回复了 wangqi 创建的话题 jwt鉴权问题
@乙醇 感谢老师,解决了
2 年前
回复了 wangqi 创建的话题 smile_test作业的问题
def create_task(self, title, desc): url = self.ip + "/api/tasks" payload = json.dumps({'title': title, 'desc': desc}) headers = { 'content-type': "application/json" } response = requests.request("POST", url, data=payload, headers=headers) return response.json() 是这个方法报的错,如果 response = requests.request("POST", url, data=payload, headers=headers)这句中data换成params就会报上面的错,我的疑惑是:data跟params的区别是啥,我看文档上都是传字典格式的,为什么data可以传json,而用params的时候就会报错呢,而json是专门用来传json的,但是用json也会报错(后面这种写法)?response = requests.request("POST", url, json=payload, headers=headers)
2 年前
回复了 wangqi 创建的话题 smile_test作业的问题
ERROR: test_delete_task (__main__.SmileTaskTestCase) "删除一个任务 ---------------------------------------------------------------------- Traceback (most recent call last): File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 600, in urlopen chunked=chunked) File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 386, in _make_request six.raise_from(e, None) File "<string>", line 2, in raise_from File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 382, in _make_request httplib_response = conn.getresponse() File "C:\python3.6\lib\http\client.py", line 1331, in getresponse response.begin() File "C:\python3.6\lib\http\client.py", line 297, in begin version, status, reason = self._read_status() File "C:\python3.6\lib\http\client.py", line 266, in _read_status raise RemoteDisconnected("Remote end closed connection without" http.client.RemoteDisconnected: Remote end closed connection without response During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\python3.6\lib\site-packages\requests\adapters.py", line 438, in send timeout=timeout File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 649, in urlopen _stacktrace=sys.exc_info()[2]) File "C:\python3.6\lib\site-packages\requests\packages\urllib3\util\retry.py", line 357, in increment raise six.reraise(type(error), error, _stacktrace) File "C:\python3.6\lib\site-packages\requests\packages\urllib3\packages\six.py", line 685, in reraise raise value.with_traceback(tb) File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 600, in urlopen chunked=chunked) File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 386, in _make_request six.raise_from(e, None) File "<string>", line 2, in raise_from File "C:\python3.6\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 382, in _make_request httplib_response = conn.getresponse() File "C:\python3.6\lib\http\client.py", line 1331, in getresponse response.begin() File "C:\python3.6\lib\http\client.py", line 297, in begin version, status, reason = self._read_status() File "C:\python3.6\lib\http\client.py", line 266, in _read_status raise RemoteDisconnected("Remote end closed connection without" requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "smile_test.py", line 46, in test_delete_task create_task_res = self.create_task("test", "desc") File "smile_test.py", line 59, in create_task response = requests.request("POST", url, data=payload1, headers=headers) File "C:\python3.6\lib\site-packages\requests\api.py", line 58, in request return session.request(method=method, url=url, **kwargs) File "C:\python3.6\lib\site-packages\requests\sessions.py", line 518, in request resp = self.send(prep, **send_kwargs) File "C:\python3.6\lib\site-packages\requests\sessions.py", line 639, in send r = adapter.send(request, **kwargs) File "C:\python3.6\lib\site-packages\requests\adapters.py", line 488, in send raise ConnectionError(err, request=request) requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',)) ---------------------------------------------------------------------- Ran 1 test in 120.012s FAILED (errors=1) 这个是传参时用data传字典格式的参数或者是用params传json格式的数据时报的错
明白了,感谢感谢
2 年前
回复了 qwe7023804 创建的话题 iframe 只有 src属性 如何定位
先用css或者xpath定位到iframe的位置,然后在对iframe进行操作 比如iframe_a = dr.find_element_by_css("xxx")
测试学习小组 — 软件测试学习讨论区
现在注册
已注册用户请 登入

欢迎关注我们的公众号: 测试圈TC


小贴士

你的问题在测试教程网中能找到答案